{pkgs, ...}: {
  programs.waybar = {
    enable = true;
    systemd.enable = true;
    settings = {
      mainBar = {
        layer = "bottom";
        position = "top";
        height = 36;
        modules-right = ["mpris" "idle_inhibitor" "pulseaudio" "clock" "tray" "battery"];
        clock = {
          format = "📅 {:%a %b-%d %I:%M %p}";
        };
        idle_inhibitor = {
          format = "{icon}";
          format-icons = {
            activated = "👀";
            deactivated = "😴";
          };
          tooltip-format-activated = "system sleep inhibited";
          tooltip-format-deactivated = "system will sleep when idle";
        };
        pulseaudio = {
          format-muted = "🔇 {volume}";
          format = "{icon} {volume}";
          format-icons.default = ["🔈" "🔉" "🔊"];
          on-click = "${pkgs.pavucontrol}/bin/pavucontrol";
        };
        mpris = {
          format = "{player_icon} {dynamic}";
          format-paused = "⏸️ {player_icon} {dynamic}";
          player-icons = {
            default = "▶️";
            mpd = "🎵";
            kdeconnect = "☎️";
          };
        };
        battery = {
          format = "{icon} {capacity}%";
          format-icons = ["🤏" "🪫" "🔋" "🔋"];
          format-charging = "🔌 {capacity}%";
          states = {
            warning = 30;
            critical = 15;
          };
        };
      };
    };
  };
}
